Is Receipt Line Eligible for Automatic Delivery Creation

post

/fscmRestApi/resources/11.13.18.05/receivingReceiptDeliveries/action/isReceiptLineEligibleForAutoCreateDelivery

Checks if the current receipt line is eligible for automatic creation of a receipt delivery.

Request

Header Parameters
  • This header accepts a string value. The string is a semi-colon separated list of =. It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers.
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/vnd.oracle.adf.action+json ()
Root Schema : schema
Type: object
Show Source
  • Abbreviation that identifies the destination for the receiving receipt delivery. The value INVENTORY means that the delivery is for a par location. The value EXPENSE means that the delivery is intended for an expense location.
  • Unique identifier of the purchase order schedule.
  • Unique identifier of the receipt line for which the current receiving receipt delivery is created.
  • Abbreviation that identifies the source document type. A list of accepted values is defined in the lookup type RCV_SOURCE_DOCUMENT_TYPE.
  • Unique identifier of the transfer order line.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Body ()
Root Schema : schema
Type: object
Show Source
  • Result of processing the Is Receipt Line Eligible for Automatic Delivery Creation request, including the processing status (Success or Error) and any error messages.
Back to Top